package com.ejie.y42b.model;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotEmpty;

/**
 * Grupo Página
 *  
 *
 */
public class Y42bFormGrupo {
	private String grupoId;
	private String padreId;
	@NotEmpty(message = "required.grupo_nombre")
	@NotNull()
	private String nombreEs;
	@NotEmpty(message = "required.grupo_nombre")
	@NotNull()
	private String nombreEu;
	private int numEntidadesActivas;
	private int numEntidadesTotal;
	private String cbopadre;
	private String fechaActualizacion;
	private String usuarioActualizacion;
	private String usuario;

	/**
	 * 
	 * @return String
	 */
	public String getCbopadre() {
		return this.cbopadre;
	}

	/**
	 * 
	 * @param cbopadre String
	 */
	public void setCbopadre(String cbopadre) {
		this.cbopadre = cbopadre;
	}

	/**
	 * 
	 * @return String
	 */
	public String getUsuario() {
		return this.usuario;
	}

	/**
	 * 
	 * @param usuario String
	 */
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	/**
	 * 
	 * @return String
	 */
	public String getFechaActualizacion() {
		return this.fechaActualizacion;
	}

	/**
	 * 
	 * @param fechaActualizacion String
	 */
	public void setFechaActualizacion(String fechaActualizacion) {
		this.fechaActualizacion = fechaActualizacion;
	}

	/**
	 * 
	 * @return grupo
	 */
	public String getGrupoId() {
		return this.grupoId;
	}

	/**
	 * 
	 * @param grupoId String
	 */
	public void setGrupoId(String grupoId) {
		this.grupoId = grupoId;
	}

	/**
	 * 
	 * @return String
	 */
	public String getPadreId() {
		return this.padreId;
	}

	/**
	 * 
	 * @param padreId String
 	 */
	public void setPadreId(String padreId) {
		this.padreId = padreId;
	}

	/**
	 * 
	 * @return nombreEs
	 */
	public String getNombreEs() {
		return this.nombreEs;
	}

	/**
	 * 
	 * @param nombreEs String
	 */
	public void setNombreEs(String nombreEs) {
		this.nombreEs = nombreEs;
	}

	/**
	 * 
	 * @return nombreEu
	 */
	public String getNombreEu() {
		return this.nombreEu;
	}

	/**
	 * 
	 * @param nombreEu String
	 */
	public void setNombreEu(String nombreEu) {
		this.nombreEu = nombreEu;
	}

	/**
	 * 
	 * @return String
	 */
	// @Max(value = 999, message = "emptyStatus")
	public int getNumEntidadesActivas() {
		return this.numEntidadesActivas;
	}

	/**
	 * 
	 * @param numEntidadesActivas int
	 */
	public void setNumEntidadesActivas(int numEntidadesActivas) {
		this.numEntidadesActivas = numEntidadesActivas;
	}
	
	

	public int getNumEntidadesTotal() {
		return numEntidadesTotal;
	}

	public void setNumEntidadesTotal(int numEntidadesTotal) {
		this.numEntidadesTotal = numEntidadesTotal;
	}

	/**
	 * 
	 * @param usuarioActualizacion String
	 */
	public void setUsuarioActualizacion(String usuarioActualizacion) {
		this.usuarioActualizacion = usuarioActualizacion;
	}

	/**
	 * 
	 * @return String
	 */
	public String getUsuarioActualizacion() {
		return this.usuarioActualizacion;
	}

}
